Subject: [PATCH v2 00/18] arm64: Unmap the kernel whilst running in userspace (KAISER)

From: [email-masked] (Will Deacon)
Date: Fri, 1 Dec 2017 18:14:56 +0000

On Fri, Dec 01, 2017 at 10:02:43AM -0800, Dave Hansen wrote:
> On 12/01/2017 09:58 AM, Mark Rutland wrote:
> > On Fri, Dec 01, 2017 at 05:50:26PM +0000, Will Deacon wrote:
> >> On Fri, Dec 01, 2017 at 02:04:06PM +0000, Mark Rutland wrote:
> >>> On Thu, Nov 30, 2017 at 04:39:28PM +0000, Will Deacon wrote:
> >> Thanks for going through this. Do you have any ideas about what we could
> >> rename the command-line option to? I'll get us started:
> >>
> >>   - kaiser=
> >>   - hidekernel=
> >>   - unmapkernel=
> >>   - hardenkaslr=
> >>   - swuan=
> > Off all of these, I think "unmapkernel" is the clear winner, since it
> > says what it does in the tin (even if it misses the when).
> > 
> > I'll have a think over the weekend.
> 
> On the x86 side we've been leaning toward renaming kaiser to something
> like "user pagetable isolation", so the boot parameter is something like
> "noupti".
> 
> But I think the consensus is definitely to get rid of "kaiser".

Ok, good. I'm happy to follow your lead on the name if it's likely to be
resolved in the next week or so.

Will